For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
OverviewCodaControlAPI ReferenceChangelog
OverviewCodaControlAPI ReferenceChangelog
  • Coda API
      • GETList QPUs
      • POSTRun QPU
      • POSTQPU Status
      • POSTEstimate QPU Cost
  • Control API
  • Stanza API
    • stanza
    • cli
    • context
    • device
    • exceptions
    • models
    • pyvisa
    • registry
    • timing
    • utils
LogoLogo
Coda APIQPUs

QPU Status

POST
https://api.conductorquantum.com/v0/coda/qpus/status
POST
/v0/coda/qpus/status
1from conductorquantum import ConductorQuantum
2
3client = ConductorQuantum(token="<token>")
4result = client.coda.qpus.status(job_id="<job-id>")
5print(result)
1{
2 "success": true,
3 "job_id": "7f6c6b6a-2f7d-4b84-8f59-2ee3b4f49d8a",
4 "status": "completed",
5 "results": {
6 "11": 52,
7 "00": 48
8 }
9}

Check the status of a QPU job and retrieve results when complete. Returns the current status (queued, running, completed, failed) and measurement results.

Was this page helpful?
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
job_idstringRequired

Job ID from qpu_submit

Response

Successful Response
successboolean
job_idstring
statusenum
Allowed values:
resultsmap from strings to integers

Errors

422
Unprocessable Entity Error